org.apache.jasper.util

## Class FastRemovalDequeue.Entry

- java.lang.Object
- - org.apache.jasper.util.FastRemovalDequeue.Entry

- Enclosing class:
    FastRemovalDequeue<T>

      public class FastRemovalDequeue.Entry
      extends Object

  Implementation of a doubly linked list entry. All implementation details are private. For the consumer of the above collection, this is simply garbage in, garbage out.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearReplaced()`
    `T` | `getContent()`
    `T` | `getReplaced()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getContent

          public final T getContent()

    - #### getReplaced

          public final T getReplaced()

    - #### clearReplaced

          public final void clearReplaced()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.